Subject: Re: [PATCH v2 1/1] powerpc/8xx: Drop legacy-of-mm-gpiochip.h header

From: Andy Shevchenko <[email-masked]>
Date: Mon, 24 Nov 2025 17:10:44 +0200

On Wed, Aug 20, 2025 at 05:10:21PM +0300, Andy Shevchenko wrote:
> On Thu, Aug 14, 2025 at 10:33:52AM +0200, Christophe Leroy wrote:
> > Le 18/11/2024 à 13:31, Andy Shevchenko a écrit :
> > > Remove legacy-of-mm-gpiochip.h header file. The above mentioned
> > > file provides an OF API that's deprecated. There is no agnostic
> > > alternatives to it and we have to open code the logic which was
> > > hidden behind of_mm_gpiochip_add_data(). Note, most of the GPIO
> > > drivers are using their own labeling schemas and resource retrieval
> > > that only a few may gain of the code deduplication, so whenever
> > > alternative is appear we can move drivers again to use that one.
> > > 
> > > As a side effect this change fixes a potential memory leak on
> > > an error path, if of_mm_gpiochip_add_data() fails.
> > 
> > Is there a reason for having done this change in cpm1_gpiochip_add16() and
> > cpm1_gpiochip_add32() [arch/powerpc/platform/8xx/cpm1.c] and not in
> > cpm2_gpiochip_add32() [arch/powerpc/sysdev/cpm_common.c] while all three
> > functions are called from cpm_gpio_probe() [arch/powerpc/sysdev/cpm_gpio.c]
> > ?
> 
> No specific reason, just lack of time to have got all of the cases.

I have noticed that you cleaned all them up, I appreciate the work, thanks!

-- 
With Best Regards,
Andy Shevchenko